[Armadeus-commitlog] armadeus branch, master, updated. release-3.2-119-gd2f3683
Brought to you by:
sszy
|
From: Julien B a. A. <ar...@us...> - 2010-01-19 14:48:19
|
This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "armadeus".
The branch, master has been updated
via d2f36830736570566187e844a63d0bc729aff39d (commit)
via b3e9f1600b40805aa4e4fcb1ce594c525d84bb67 (commit)
via 8b6f35feaf0a3be20a8cabb6d4865ab4a8ab69a9 (commit)
via 7231bb82d335007fb9768e37c9805dbe75904915 (commit)
from da244a88a15320f284436e773f28635a99cee61d (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
- Log -----------------------------------------------------------------
commit d2f36830736570566187e844a63d0bc729aff39d
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jan 19 15:47:35 2010 +0100
[TEST] rename test_sound.sh to test_audio.sh (part 2)
commit b3e9f1600b40805aa4e4fcb1ce594c525d84bb67
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jan 19 15:45:30 2010 +0100
[TEST] rename test_sound.sh to test_audio.sh
commit 8b6f35feaf0a3be20a8cabb6d4865ab4a8ab69a9
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jan 19 15:43:23 2010 +0100
[TEST] Add test for Audio In (when applicable)
commit 7231bb82d335007fb9768e37c9805dbe75904915
Author: Julien Boibessot <jul...@ar...>
Date: Tue Jan 19 15:42:22 2010 +0100
[TEST] Add newline before asking something to user (for clarity)
-----------------------------------------------------------------------
Summary of changes:
target/test/test_audio.sh | 78 +++++++++++++++++++++++++++++++++++++++++++
target/test/test_helpers.sh | 2 +-
target/test/test_release.sh | 2 +-
target/test/test_sound.sh | 45 -------------------------
4 files changed, 80 insertions(+), 47 deletions(-)
create mode 100755 target/test/test_audio.sh
delete mode 100755 target/test/test_sound.sh
diff --git a/target/test/test_audio.sh b/target/test/test_audio.sh
new file mode 100755
index 0000000..45525cf
--- /dev/null
+++ b/target/test/test_audio.sh
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+#
+# Script to test Armadeus Software release
+#
+# Copyright (C) 2008 The Armadeus Project
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+
+source ./test_helpers.sh
+source ./test_env.sh
+
+TEMP_FILE=/tmp/toto.wav
+
+end_of_test_for_apf9328()
+{
+ echo_test_ok
+ exit 0
+}
+
+continue_for_apf27()
+{
+ true
+}
+
+test_audio()
+{
+ show_test_banner "Sound / ALSA"
+
+ modprobe snd-imx-alsa-tsc2102
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+
+ cat /proc/asound/version
+ cat /proc/asound/cards
+ aplay -lL
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+
+ ask_user "Please connect a earphone to the Audio Out connector (top on APF27). Then press ENTER."
+ aplay /usr/share/sounds/alsa/Side_Left.wav
+ if [ "$?" == 0 ]; then
+ ask_user "Did you hear something ? (y/N)"
+ if [ "$response" != "y" ] && [ "$response" != "yes" ]; then
+ exit_failed
+ fi
+ fi
+
+ execute_for_target end_of_test_for_apf9328 continue_for_apf27
+
+ ask_user "Please connect a microphone to the Audio In connector (bottom on APF27). Then press ENTER."
+ ask_user "You will now have to speak in the MIC. The sampled sound will then be played back. Press ENTER when ready to speak."
+ # Stereo 16bits @ 16KHz
+ arecord -r 16000 -f S16_LE -c 2 $TEMP_FILE & pid=$!
+ ask_user "You can now speak. Press ENTER when finished."
+ kill $pid
+ sleep 1
+ aplay $TEMP_FILE
+ if [ "$?" != 0 ]; then
+ exit_failed
+ fi
+ ask_user "Did you hear what you said before ? (y/N)"
+ if [ "$response" != "y" ] && [ "$response" != "yes" ]; then
+ exit_failed
+ fi
+
+ echo_test_ok
+ exit 0
+}
+
+test_audio
+
diff --git a/target/test/test_helpers.sh b/target/test/test_helpers.sh
index 8d5e8bd..f57d748 100644
--- a/target/test/test_helpers.sh
+++ b/target/test/test_helpers.sh
@@ -54,7 +54,7 @@ ask_user()
MESSAGE="$1"
AWAITEN="$2"
- echo -e " >>>> $MESSAGE <<<<"
+ echo -e "\n >>>> $MESSAGE <<<<"
read response
}
diff --git a/target/test/test_release.sh b/target/test/test_release.sh
index 72e66f2..9bece6e 100755
--- a/target/test/test_release.sh
+++ b/target/test/test_release.sh
@@ -56,7 +56,7 @@ $THIS_DIR/test_dac.sh
echo
$THIS_DIR/test_adc.sh
echo
-$THIS_DIR/test_sound.sh
+$THIS_DIR/test_audio.sh
echo
$THIS_DIR/test_fpga.sh
echo
diff --git a/target/test/test_sound.sh b/target/test/test_sound.sh
deleted file mode 100755
index 7fdf7d5..0000000
--- a/target/test/test_sound.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#!/bin/sh
-
-#
-# Script to test Armadeus Software release
-#
-# Copyright (C) 2008 The Armadeus Project
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-
-source ./test_helpers.sh
-source ./test_env.sh
-
-
-test_sound()
-{
- show_test_banner "Sound / ALSA"
-
- modprobe snd-imx-alsa-tsc2102
- if [ "$?" != 0 ]; then
- exit_failed
- fi
-
- cat /proc/asound/version
- cat /proc/asound/cards
- aplay -lL
- if [ "$?" != 0 ]; then
- exit_failed
- fi
-
- ask_user "Please connect a earphone to the Audio Out connector (up on APF27). Then press ENTER."
- aplay /usr/share/sounds/alsa/Side_Left.wav
- if [ "$?" == 0 ]; then
- ask_user "Did you hear something ? (y/N)"
- if [ "$response" == "y" ] || [ "$response" == "yes" ]; then
- echo_test_ok
- fi
- fi
-}
-
-test_sound
-
hooks/post-receive
--
armadeus
|